package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.report4E.GetBalanceInfoCmd;
import com.engine.kq.cmd.report4E.GetScheduleDataCmd;
import com.engine.kq.cmd.report4E.PunchButton4ECmd;
import com.engine.kq.service.KQReport4EService;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import weaver.hrm.User;

/**
 * 考勤流程相关的ajax请求事件
 */
public class KQReport4EServiceImpl extends Service implements KQReport4EService {

  @Override
  public Map<String, Object> punchButton4E(HttpServletRequest request,Map<String, Object> params, User user) {
    return commandExecutor.execute(new PunchButton4ECmd(request,params, user));
  }

  @Override
  public Map<String, Object> getScheduleData(HttpServletRequest request,Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetScheduleDataCmd(request,params, user));
  }
  @Override
  public Map<String, Object> getBalanceInfo(HttpServletRequest request,Map<String, Object> params, User user) {
    return commandExecutor.execute(new GetBalanceInfoCmd(request,params, user));
  }

}
